require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&AUTOCONF_INCLUDED)) {
    sub AUTOCONF_INCLUDED () {	1;}
}
unless(defined(&CONFIG_X86_64)) {
    sub CONFIG_X86_64 () {	1;}
}
unless(defined(&CONFIG_64BIT)) {
    sub CONFIG_64BIT () {	1;}
}
unless(defined(&CONFIG_X86)) {
    sub CONFIG_X86 () {	1;}
}
unless(defined(&CONFIG_MMU)) {
    sub CONFIG_MMU () {	1;}
}
unless(defined(&CONFIG_RWSEM_GENERIC_SPINLOCK)) {
    sub CONFIG_RWSEM_GENERIC_SPINLOCK () {	1;}
}
unless(defined(&CONFIG_X86_CMPXCHG)) {
    sub CONFIG_X86_CMPXCHG () {	1;}
}
unless(defined(&CONFIG_EARLY_PRINTK)) {
    sub CONFIG_EARLY_PRINTK () {	1;}
}
unless(defined(&CONFIG_HPET_TIMER)) {
    sub CONFIG_HPET_TIMER () {	1;}
}
unless(defined(&CONFIG_HPET_EMULATE_RTC)) {
    sub CONFIG_HPET_EMULATE_RTC () {	1;}
}
unless(defined(&CONFIG_GENERIC_ISA_DMA)) {
    sub CONFIG_GENERIC_ISA_DMA () {	1;}
}
unless(defined(&CONFIG_EXPERIMENTAL)) {
    sub CONFIG_EXPERIMENTAL () {	1;}
}
unless(defined(&CONFIG_CLEAN_COMPILE)) {
    sub CONFIG_CLEAN_COMPILE () {	1;}
}
unless(defined(&CONFIG_STANDALONE)) {
    sub CONFIG_STANDALONE () {	1;}
}
unless(defined(&CONFIG_SWAP)) {
    sub CONFIG_SWAP () {	1;}
}
unless(defined(&CONFIG_SYSVIPC)) {
    sub CONFIG_SYSVIPC () {	1;}
}
unless(defined(&CONFIG_POSIX_MQUEUE)) {
    sub CONFIG_POSIX_MQUEUE () {	1;}
}
undef(&CONFIG_BSD_PROCESS_ACCT) if defined(&CONFIG_BSD_PROCESS_ACCT);
unless(defined(&CONFIG_SYSCTL)) {
    sub CONFIG_SYSCTL () {	1;}
}
undef(&CONFIG_AUDIT) if defined(&CONFIG_AUDIT);
unless(defined(&CONFIG_LOG_BUF_SHIFT)) {
    sub CONFIG_LOG_BUF_SHIFT () {	18;}
}
undef(&CONFIG_HOTPLUG) if defined(&CONFIG_HOTPLUG);
unless(defined(&CONFIG_IKCONFIG)) {
    sub CONFIG_IKCONFIG () {	1;}
}
unless(defined(&CONFIG_IKCONFIG_PROC)) {
    sub CONFIG_IKCONFIG_PROC () {	1;}
}
undef(&CONFIG_EMBEDDED) if defined(&CONFIG_EMBEDDED);
unless(defined(&CONFIG_KALLSYMS)) {
    sub CONFIG_KALLSYMS () {	1;}
}
unless(defined(&CONFIG_FUTEX)) {
    sub CONFIG_FUTEX () {	1;}
}
unless(defined(&CONFIG_EPOLL)) {
    sub CONFIG_EPOLL () {	1;}
}
unless(defined(&CONFIG_IOSCHED_NOOP)) {
    sub CONFIG_IOSCHED_NOOP () {	1;}
}
unless(defined(&CONFIG_IOSCHED_AS)) {
    sub CONFIG_IOSCHED_AS () {	1;}
}
unless(defined(&CONFIG_IOSCHED_DEADLINE)) {
    sub CONFIG_IOSCHED_DEADLINE () {	1;}
}
unless(defined(&CONFIG_IOSCHED_CFQ)) {
    sub CONFIG_IOSCHED_CFQ () {	1;}
}
undef(&CONFIG_CC_OPTIMIZE_FOR_SIZE) if defined(&CONFIG_CC_OPTIMIZE_FOR_SIZE);
unless(defined(&CONFIG_MODULES)) {
    sub CONFIG_MODULES () {	1;}
}
unless(defined(&CONFIG_MODULE_UNLOAD)) {
    sub CONFIG_MODULE_UNLOAD () {	1;}
}
unless(defined(&CONFIG_MODULE_FORCE_UNLOAD)) {
    sub CONFIG_MODULE_FORCE_UNLOAD () {	1;}
}
unless(defined(&CONFIG_OBSOLETE_MODPARM)) {
    sub CONFIG_OBSOLETE_MODPARM () {	1;}
}
undef(&CONFIG_MODVERSIONS) if defined(&CONFIG_MODVERSIONS);
undef(&CONFIG_KMOD) if defined(&CONFIG_KMOD);
unless(defined(&CONFIG_STOP_MACHINE)) {
    sub CONFIG_STOP_MACHINE () {	1;}
}
undef(&CONFIG_MK8) if defined(&CONFIG_MK8);
undef(&CONFIG_MPSC) if defined(&CONFIG_MPSC);
unless(defined(&CONFIG_GENERIC_CPU)) {
    sub CONFIG_GENERIC_CPU () {	1;}
}
unless(defined(&CONFIG_X86_L1_CACHE_BYTES)) {
    sub CONFIG_X86_L1_CACHE_BYTES () {	128;}
}
unless(defined(&CONFIG_X86_L1_CACHE_SHIFT)) {
    sub CONFIG_X86_L1_CACHE_SHIFT () {	7;}
}
unless(defined(&CONFIG_X86_TSC)) {
    sub CONFIG_X86_TSC () {	1;}
}
unless(defined(&CONFIG_X86_GOOD_APIC)) {
    sub CONFIG_X86_GOOD_APIC () {	1;}
}
undef(&CONFIG_MICROCODE) if defined(&CONFIG_MICROCODE);
unless(defined(&CONFIG_X86_MSR)) {
    sub CONFIG_X86_MSR () {	1;}
}
unless(defined(&CONFIG_X86_CPUID)) {
    sub CONFIG_X86_CPUID () {	1;}
}
unless(defined(&CONFIG_X86_HT)) {
    sub CONFIG_X86_HT () {	1;}
}
unless(defined(&CONFIG_X86_IO_APIC)) {
    sub CONFIG_X86_IO_APIC () {	1;}
}
unless(defined(&CONFIG_X86_LOCAL_APIC)) {
    sub CONFIG_X86_LOCAL_APIC () {	1;}
}
unless(defined(&CONFIG_MTRR)) {
    sub CONFIG_MTRR () {	1;}
}
unless(defined(&CONFIG_SMP)) {
    sub CONFIG_SMP () {	1;}
}
undef(&CONFIG_PREEMPT) if defined(&CONFIG_PREEMPT);
unless(defined(&CONFIG_K8_NUMA)) {
    sub CONFIG_K8_NUMA () {	1;}
}
unless(defined(&CONFIG_DISCONTIGMEM)) {
    sub CONFIG_DISCONTIGMEM () {	1;}
}
unless(defined(&CONFIG_NUMA)) {
    sub CONFIG_NUMA () {	1;}
}
unless(defined(&CONFIG_HAVE_DEC_LOCK)) {
    sub CONFIG_HAVE_DEC_LOCK () {	1;}
}
unless(defined(&CONFIG_NR_CPUS)) {
    sub CONFIG_NR_CPUS () {	8;}
}
unless(defined(&CONFIG_GART_IOMMU)) {
    sub CONFIG_GART_IOMMU () {	1;}
}
unless(defined(&CONFIG_SWIOTLB)) {
    sub CONFIG_SWIOTLB () {	1;}
}
unless(defined(&CONFIG_X86_MCE)) {
    sub CONFIG_X86_MCE () {	1;}
}
unless(defined(&CONFIG_PM)) {
    sub CONFIG_PM () {	1;}
}
unless(defined(&CONFIG_SOFTWARE_SUSPEND)) {
    sub CONFIG_SOFTWARE_SUSPEND () {	1;}
}
unless(defined(&CONFIG_ACPI)) {
    sub CONFIG_ACPI () {	1;}
}
unless(defined(&CONFIG_ACPI_BOOT)) {
    sub CONFIG_ACPI_BOOT () {	1;}
}
unless(defined(&CONFIG_ACPI_INTERPRETER)) {
    sub CONFIG_ACPI_INTERPRETER () {	1;}
}
unless(defined(&CONFIG_ACPI_SLEEP)) {
    sub CONFIG_ACPI_SLEEP () {	1;}
}
unless(defined(&CONFIG_ACPI_SLEEP_PROC_FS)) {
    sub CONFIG_ACPI_SLEEP_PROC_FS () {	1;}
}
unless(defined(&CONFIG_ACPI_AC)) {
    sub CONFIG_ACPI_AC () {	1;}
}
unless(defined(&CONFIG_ACPI_BATTERY)) {
    sub CONFIG_ACPI_BATTERY () {	1;}
}
unless(defined(&CONFIG_ACPI_BUTTON)) {
    sub CONFIG_ACPI_BUTTON () {	1;}
}
unless(defined(&CONFIG_ACPI_FAN)) {
    sub CONFIG_ACPI_FAN () {	1;}
}
unless(defined(&CONFIG_ACPI_PROCESSOR)) {
    sub CONFIG_ACPI_PROCESSOR () {	1;}
}
unless(defined(&CONFIG_ACPI_THERMAL)) {
    sub CONFIG_ACPI_THERMAL () {	1;}
}
undef(&CONFIG_ACPI_ASUS) if defined(&CONFIG_ACPI_ASUS);
unless(defined(&CONFIG_ACPI_TOSHIBA)) {
    sub CONFIG_ACPI_TOSHIBA () {	1;}
}
unless(defined(&CONFIG_ACPI_DEBUG)) {
    sub CONFIG_ACPI_DEBUG () {	1;}
}
unless(defined(&CONFIG_ACPI_BUS)) {
    sub CONFIG_ACPI_BUS () {	1;}
}
unless(defined(&CONFIG_ACPI_EC)) {
    sub CONFIG_ACPI_EC () {	1;}
}
unless(defined(&CONFIG_ACPI_POWER)) {
    sub CONFIG_ACPI_POWER () {	1;}
}
unless(defined(&CONFIG_ACPI_PCI)) {
    sub CONFIG_ACPI_PCI () {	1;}
}
unless(defined(&CONFIG_ACPI_SYSTEM)) {
    sub CONFIG_ACPI_SYSTEM () {	1;}
}
undef(&CONFIG_CPU_FREQ) if defined(&CONFIG_CPU_FREQ);
unless(defined(&CONFIG_PCI)) {
    sub CONFIG_PCI () {	1;}
}
unless(defined(&CONFIG_PCI_DIRECT)) {
    sub CONFIG_PCI_DIRECT () {	1;}
}
unless(defined(&CONFIG_PCI_MMCONFIG)) {
    sub CONFIG_PCI_MMCONFIG () {	1;}
}
undef(&CONFIG_PCI_LEGACY_PROC) if defined(&CONFIG_PCI_LEGACY_PROC);
undef(&CONFIG_PCI_NAMES) if defined(&CONFIG_PCI_NAMES);
unless(defined(&CONFIG_BINFMT_ELF)) {
    sub CONFIG_BINFMT_ELF () {	1;}
}
undef(&CONFIG_BINFMT_MISC) if defined(&CONFIG_BINFMT_MISC);
unless(defined(&CONFIG_IA32_EMULATION)) {
    sub CONFIG_IA32_EMULATION () {	1;}
}
unless(defined(&CONFIG_IA32_AOUT)) {
    sub CONFIG_IA32_AOUT () {	1;}
}
unless(defined(&CONFIG_COMPAT)) {
    sub CONFIG_COMPAT () {	1;}
}
unless(defined(&CONFIG_SYSVIPC_COMPAT)) {
    sub CONFIG_SYSVIPC_COMPAT () {	1;}
}
unless(defined(&CONFIG_UID16)) {
    sub CONFIG_UID16 () {	1;}
}
undef(&CONFIG_DEBUG_DRIVER) if defined(&CONFIG_DEBUG_DRIVER);
undef(&CONFIG_MTD) if defined(&CONFIG_MTD);
undef(&CONFIG_PARPORT) if defined(&CONFIG_PARPORT);
unless(defined(&CONFIG_BLK_DEV_FD)) {
    sub CONFIG_BLK_DEV_FD () {	1;}
}
undef(&CONFIG_BLK_CPQ_DA) if defined(&CONFIG_BLK_CPQ_DA);
undef(&CONFIG_BLK_CPQ_CISS_DA) if defined(&CONFIG_BLK_CPQ_CISS_DA);
undef(&CONFIG_BLK_DEV_DAC960) if defined(&CONFIG_BLK_DEV_DAC960);
undef(&CONFIG_BLK_DEV_UMEM) if defined(&CONFIG_BLK_DEV_UMEM);
unless(defined(&CONFIG_BLK_DEV_LOOP)) {
    sub CONFIG_BLK_DEV_LOOP () {	1;}
}
undef(&CONFIG_BLK_DEV_CRYPTOLOOP) if defined(&CONFIG_BLK_DEV_CRYPTOLOOP);
undef(&CONFIG_BLK_DEV_NBD) if defined(&CONFIG_BLK_DEV_NBD);
undef(&CONFIG_BLK_DEV_CARMEL) if defined(&CONFIG_BLK_DEV_CARMEL);
unless(defined(&CONFIG_BLK_DEV_RAM)) {
    sub CONFIG_BLK_DEV_RAM () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_RAM_SIZE)) {
    sub CONFIG_BLK_DEV_RAM_SIZE () {	4096;}
}
unless(defined(&CONFIG_BLK_DEV_INITRD)) {
    sub CONFIG_BLK_DEV_INITRD () {	1;}
}
unless(defined(&CONFIG_LBD)) {
    sub CONFIG_LBD () {	1;}
}
unless(defined(&CONFIG_IDE)) {
    sub CONFIG_IDE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDE)) {
    sub CONFIG_BLK_DEV_IDE () {	1;}
}
undef(&CONFIG_BLK_DEV_HD_IDE) if defined(&CONFIG_BLK_DEV_HD_IDE);
unless(defined(&CONFIG_BLK_DEV_IDEDISK)) {
    sub CONFIG_BLK_DEV_IDEDISK () {	1;}
}
unless(defined(&CONFIG_IDEDISK_MULTI_MODE)) {
    sub CONFIG_IDEDISK_MULTI_MODE () {	1;}
}
undef(&CONFIG_IDEDISK_STROKE) if defined(&CONFIG_IDEDISK_STROKE);
unless(defined(&CONFIG_BLK_DEV_IDECD)) {
    sub CONFIG_BLK_DEV_IDECD () {	1;}
}
undef(&CONFIG_BLK_DEV_IDETAPE) if defined(&CONFIG_BLK_DEV_IDETAPE);
undef(&CONFIG_BLK_DEV_IDEFLOPPY) if defined(&CONFIG_BLK_DEV_IDEFLOPPY);
undef(&CONFIG_BLK_DEV_IDESCSI) if defined(&CONFIG_BLK_DEV_IDESCSI);
undef(&CONFIG_IDE_TASK_IOCTL) if defined(&CONFIG_IDE_TASK_IOCTL);
undef(&CONFIG_IDE_TASKFILE_IO) if defined(&CONFIG_IDE_TASKFILE_IO);
unless(defined(&CONFIG_IDE_GENERIC)) {
    sub CONFIG_IDE_GENERIC () {	1;}
}
undef(&CONFIG_BLK_DEV_CMD640) if defined(&CONFIG_BLK_DEV_CMD640);
unless(defined(&CONFIG_BLK_DEV_IDEPCI)) {
    sub CONFIG_BLK_DEV_IDEPCI () {	1;}
}
undef(&CONFIG_IDEPCI_SHARE_IRQ) if defined(&CONFIG_IDEPCI_SHARE_IRQ);
undef(&CONFIG_BLK_DEV_OFFBOARD) if defined(&CONFIG_BLK_DEV_OFFBOARD);
undef(&CONFIG_BLK_DEV_GENERIC) if defined(&CONFIG_BLK_DEV_GENERIC);
undef(&CONFIG_BLK_DEV_OPTI621) if defined(&CONFIG_BLK_DEV_OPTI621);
undef(&CONFIG_BLK_DEV_RZ1000) if defined(&CONFIG_BLK_DEV_RZ1000);
unless(defined(&CONFIG_BLK_DEV_IDEDMA_PCI)) {
    sub CONFIG_BLK_DEV_IDEDMA_PCI () {	1;}
}
undef(&CONFIG_BLK_DEV_IDEDMA_FORCED) if defined(&CONFIG_BLK_DEV_IDEDMA_FORCED);
unless(defined(&CONFIG_IDEDMA_PCI_AUTO)) {
    sub CONFIG_IDEDMA_PCI_AUTO () {	1;}
}
undef(&CONFIG_IDEDMA_ONLYDISK) if defined(&CONFIG_IDEDMA_ONLYDISK);
unless(defined(&CONFIG_BLK_DEV_ADMA)) {
    sub CONFIG_BLK_DEV_ADMA () {	1;}
}
undef(&CONFIG_BLK_DEV_AEC62XX) if defined(&CONFIG_BLK_DEV_AEC62XX);
undef(&CONFIG_BLK_DEV_ALI15X3) if defined(&CONFIG_BLK_DEV_ALI15X3);
unless(defined(&CONFIG_BLK_DEV_AMD74XX)) {
    sub CONFIG_BLK_DEV_AMD74XX () {	1;}
}
undef(&CONFIG_BLK_DEV_ATIIXP) if defined(&CONFIG_BLK_DEV_ATIIXP);
undef(&CONFIG_BLK_DEV_CMD64X) if defined(&CONFIG_BLK_DEV_CMD64X);
undef(&CONFIG_BLK_DEV_TRIFLEX) if defined(&CONFIG_BLK_DEV_TRIFLEX);
undef(&CONFIG_BLK_DEV_CY82C693) if defined(&CONFIG_BLK_DEV_CY82C693);
undef(&CONFIG_BLK_DEV_CS5520) if defined(&CONFIG_BLK_DEV_CS5520);
undef(&CONFIG_BLK_DEV_CS5530) if defined(&CONFIG_BLK_DEV_CS5530);
undef(&CONFIG_BLK_DEV_HPT34X) if defined(&CONFIG_BLK_DEV_HPT34X);
undef(&CONFIG_BLK_DEV_HPT366) if defined(&CONFIG_BLK_DEV_HPT366);
undef(&CONFIG_BLK_DEV_SC1200) if defined(&CONFIG_BLK_DEV_SC1200);
unless(defined(&CONFIG_BLK_DEV_PIIX)) {
    sub CONFIG_BLK_DEV_PIIX () {	1;}
}
undef(&CONFIG_BLK_DEV_NS87415) if defined(&CONFIG_BLK_DEV_NS87415);
undef(&CONFIG_BLK_DEV_PDC202XX_OLD) if defined(&CONFIG_BLK_DEV_PDC202XX_OLD);
undef(&CONFIG_BLK_DEV_PDC202XX_NEW) if defined(&CONFIG_BLK_DEV_PDC202XX_NEW);
undef(&CONFIG_BLK_DEV_SVWKS) if defined(&CONFIG_BLK_DEV_SVWKS);
undef(&CONFIG_BLK_DEV_SIIMAGE) if defined(&CONFIG_BLK_DEV_SIIMAGE);
undef(&CONFIG_BLK_DEV_SIS5513) if defined(&CONFIG_BLK_DEV_SIS5513);
undef(&CONFIG_BLK_DEV_SLC90E66) if defined(&CONFIG_BLK_DEV_SLC90E66);
undef(&CONFIG_BLK_DEV_TRM290) if defined(&CONFIG_BLK_DEV_TRM290);
undef(&CONFIG_BLK_DEV_VIA82CXXX) if defined(&CONFIG_BLK_DEV_VIA82CXXX);
unless(defined(&CONFIG_BLK_DEV_IDEDMA)) {
    sub CONFIG_BLK_DEV_IDEDMA () {	1;}
}
undef(&CONFIG_IDEDMA_IVB) if defined(&CONFIG_IDEDMA_IVB);
unless(defined(&CONFIG_IDEDMA_AUTO)) {
    sub CONFIG_IDEDMA_AUTO () {	1;}
}
undef(&CONFIG_BLK_DEV_HD) if defined(&CONFIG_BLK_DEV_HD);
unless(defined(&CONFIG_SCSI)) {
    sub CONFIG_SCSI () {	1;}
}
undef(&CONFIG_SCSI_PROC_FS) if defined(&CONFIG_SCSI_PROC_FS);
unless(defined(&CONFIG_BLK_DEV_SD)) {
    sub CONFIG_BLK_DEV_SD () {	1;}
}
undef(&CONFIG_CHR_DEV_ST) if defined(&CONFIG_CHR_DEV_ST);
undef(&CONFIG_CHR_DEV_OSST) if defined(&CONFIG_CHR_DEV_OSST);
undef(&CONFIG_BLK_DEV_SR) if defined(&CONFIG_BLK_DEV_SR);
undef(&CONFIG_CHR_DEV_SG) if defined(&CONFIG_CHR_DEV_SG);
undef(&CONFIG_SCSI_MULTI_LUN) if defined(&CONFIG_SCSI_MULTI_LUN);
undef(&CONFIG_SCSI_REPORT_LUNS) if defined(&CONFIG_SCSI_REPORT_LUNS);
undef(&CONFIG_SCSI_CONSTANTS) if defined(&CONFIG_SCSI_CONSTANTS);
undef(&CONFIG_SCSI_LOGGING) if defined(&CONFIG_SCSI_LOGGING);
undef(&CONFIG_SCSI_SPI_ATTRS) if defined(&CONFIG_SCSI_SPI_ATTRS);
undef(&CONFIG_SCSI_FC_ATTRS) if defined(&CONFIG_SCSI_FC_ATTRS);
unless(defined(&CONFIG_BLK_DEV_3W_XXXX_RAID)) {
    sub CONFIG_BLK_DEV_3W_XXXX_RAID () {	1;}
}
undef(&CONFIG_SCSI_ACARD) if defined(&CONFIG_SCSI_ACARD);
undef(&CONFIG_SCSI_AACRAID) if defined(&CONFIG_SCSI_AACRAID);
undef(&CONFIG_SCSI_AIC7XXX) if defined(&CONFIG_SCSI_AIC7XXX);
undef(&CONFIG_SCSI_AIC7XXX_OLD) if defined(&CONFIG_SCSI_AIC7XXX_OLD);
undef(&CONFIG_SCSI_AIC79XX) if defined(&CONFIG_SCSI_AIC79XX);
undef(&CONFIG_SCSI_ADVANSYS) if defined(&CONFIG_SCSI_ADVANSYS);
undef(&CONFIG_SCSI_MEGARAID) if defined(&CONFIG_SCSI_MEGARAID);
unless(defined(&CONFIG_SCSI_SATA)) {
    sub CONFIG_SCSI_SATA () {	1;}
}
undef(&CONFIG_SCSI_SATA_SVW) if defined(&CONFIG_SCSI_SATA_SVW);
unless(defined(&CONFIG_SCSI_ATA_PIIX)) {
    sub CONFIG_SCSI_ATA_PIIX () {	1;}
}
undef(&CONFIG_SCSI_SATA_PROMISE) if defined(&CONFIG_SCSI_SATA_PROMISE);
undef(&CONFIG_SCSI_SATA_SIL) if defined(&CONFIG_SCSI_SATA_SIL);
undef(&CONFIG_SCSI_SATA_SIS) if defined(&CONFIG_SCSI_SATA_SIS);
unless(defined(&CONFIG_SCSI_SATA_VIA)) {
    sub CONFIG_SCSI_SATA_VIA () {	1;}
}
undef(&CONFIG_SCSI_SATA_VITESSE) if defined(&CONFIG_SCSI_SATA_VITESSE);
undef(&CONFIG_SCSI_BUSLOGIC) if defined(&CONFIG_SCSI_BUSLOGIC);
undef(&CONFIG_SCSI_CPQFCTS) if defined(&CONFIG_SCSI_CPQFCTS);
undef(&CONFIG_SCSI_DMX3191D) if defined(&CONFIG_SCSI_DMX3191D);
undef(&CONFIG_SCSI_EATA) if defined(&CONFIG_SCSI_EATA);
undef(&CONFIG_SCSI_EATA_PIO) if defined(&CONFIG_SCSI_EATA_PIO);
undef(&CONFIG_SCSI_FUTURE_DOMAIN) if defined(&CONFIG_SCSI_FUTURE_DOMAIN);
undef(&CONFIG_SCSI_GDTH) if defined(&CONFIG_SCSI_GDTH);
undef(&CONFIG_SCSI_IPS) if defined(&CONFIG_SCSI_IPS);
undef(&CONFIG_SCSI_INIA100) if defined(&CONFIG_SCSI_INIA100);
undef(&CONFIG_SCSI_SYM53C8XX_2) if defined(&CONFIG_SCSI_SYM53C8XX_2);
undef(&CONFIG_SCSI_QLOGIC_ISP) if defined(&CONFIG_SCSI_QLOGIC_ISP);
undef(&CONFIG_SCSI_QLOGIC_FC) if defined(&CONFIG_SCSI_QLOGIC_FC);
undef(&CONFIG_SCSI_QLOGIC_1280) if defined(&CONFIG_SCSI_QLOGIC_1280);
unless(defined(&CONFIG_SCSI_QLA2XXX)) {
    sub CONFIG_SCSI_QLA2XXX () {	1;}
}
undef(&CONFIG_SCSI_QLA21XX) if defined(&CONFIG_SCSI_QLA21XX);
undef(&CONFIG_SCSI_QLA22XX) if defined(&CONFIG_SCSI_QLA22XX);
undef(&CONFIG_SCSI_QLA2300) if defined(&CONFIG_SCSI_QLA2300);
undef(&CONFIG_SCSI_QLA2322) if defined(&CONFIG_SCSI_QLA2322);
undef(&CONFIG_SCSI_QLA6312) if defined(&CONFIG_SCSI_QLA6312);
undef(&CONFIG_SCSI_QLA6322) if defined(&CONFIG_SCSI_QLA6322);
undef(&CONFIG_SCSI_DC395x) if defined(&CONFIG_SCSI_DC395x);
undef(&CONFIG_SCSI_DC390T) if defined(&CONFIG_SCSI_DC390T);
undef(&CONFIG_SCSI_DEBUG) if defined(&CONFIG_SCSI_DEBUG);
undef(&CONFIG_MD) if defined(&CONFIG_MD);
unless(defined(&CONFIG_FUSION)) {
    sub CONFIG_FUSION () {	1;}
}
unless(defined(&CONFIG_FUSION_MAX_SGE)) {
    sub CONFIG_FUSION_MAX_SGE () {	40;}
}
undef(&CONFIG_FUSION_ISENSE) if defined(&CONFIG_FUSION_ISENSE);
undef(&CONFIG_FUSION_CTL) if defined(&CONFIG_FUSION_CTL);
undef(&CONFIG_IEEE1394) if defined(&CONFIG_IEEE1394);
unless(defined(&CONFIG_NET)) {
    sub CONFIG_NET () {	1;}
}
unless(defined(&CONFIG_PACKET)) {
    sub CONFIG_PACKET () {	1;}
}
undef(&CONFIG_PACKET_MMAP) if defined(&CONFIG_PACKET_MMAP);
undef(&CONFIG_NETLINK_DEV) if defined(&CONFIG_NETLINK_DEV);
unless(defined(&CONFIG_UNIX)) {
    sub CONFIG_UNIX () {	1;}
}
undef(&CONFIG_NET_KEY) if defined(&CONFIG_NET_KEY);
unless(defined(&CONFIG_INET)) {
    sub CONFIG_INET () {	1;}
}
unless(defined(&CONFIG_IP_MULTICAST)) {
    sub CONFIG_IP_MULTICAST () {	1;}
}
undef(&CONFIG_IP_ADVANCED_ROUTER) if defined(&CONFIG_IP_ADVANCED_ROUTER);
undef(&CONFIG_IP_PNP) if defined(&CONFIG_IP_PNP);
undef(&CONFIG_NET_IPIP) if defined(&CONFIG_NET_IPIP);
undef(&CONFIG_NET_IPGRE) if defined(&CONFIG_NET_IPGRE);
undef(&CONFIG_IP_MROUTE) if defined(&CONFIG_IP_MROUTE);
undef(&CONFIG_ARPD) if defined(&CONFIG_ARPD);
undef(&CONFIG_SYN_COOKIES) if defined(&CONFIG_SYN_COOKIES);
undef(&CONFIG_INET_AH) if defined(&CONFIG_INET_AH);
undef(&CONFIG_INET_ESP) if defined(&CONFIG_INET_ESP);
undef(&CONFIG_INET_IPCOMP) if defined(&CONFIG_INET_IPCOMP);
unless(defined(&CONFIG_IPV6)) {
    sub CONFIG_IPV6 () {	1;}
}
undef(&CONFIG_IPV6_PRIVACY) if defined(&CONFIG_IPV6_PRIVACY);
undef(&CONFIG_INET6_AH) if defined(&CONFIG_INET6_AH);
undef(&CONFIG_INET6_ESP) if defined(&CONFIG_INET6_ESP);
undef(&CONFIG_INET6_IPCOMP) if defined(&CONFIG_INET6_IPCOMP);
undef(&CONFIG_IPV6_TUNNEL) if defined(&CONFIG_IPV6_TUNNEL);
undef(&CONFIG_NETFILTER) if defined(&CONFIG_NETFILTER);
undef(&CONFIG_IP_SCTP) if defined(&CONFIG_IP_SCTP);
undef(&CONFIG_ATM) if defined(&CONFIG_ATM);
undef(&CONFIG_BRIDGE) if defined(&CONFIG_BRIDGE);
undef(&CONFIG_VLAN_8021Q) if defined(&CONFIG_VLAN_8021Q);
undef(&CONFIG_DECNET) if defined(&CONFIG_DECNET);
undef(&CONFIG_LLC2) if defined(&CONFIG_LLC2);
undef(&CONFIG_IPX) if defined(&CONFIG_IPX);
undef(&CONFIG_ATALK) if defined(&CONFIG_ATALK);
undef(&CONFIG_X25) if defined(&CONFIG_X25);
undef(&CONFIG_LAPB) if defined(&CONFIG_LAPB);
undef(&CONFIG_NET_DIVERT) if defined(&CONFIG_NET_DIVERT);
undef(&CONFIG_ECONET) if defined(&CONFIG_ECONET);
undef(&CONFIG_WAN_ROUTER) if defined(&CONFIG_WAN_ROUTER);
undef(&CONFIG_NET_FASTROUTE) if defined(&CONFIG_NET_FASTROUTE);
undef(&CONFIG_NET_HW_FLOWCONTROL) if defined(&CONFIG_NET_HW_FLOWCONTROL);
undef(&CONFIG_NET_SCHED) if defined(&CONFIG_NET_SCHED);
undef(&CONFIG_NET_PKTGEN) if defined(&CONFIG_NET_PKTGEN);
unless(defined(&CONFIG_NETPOLL)) {
    sub CONFIG_NETPOLL () {	1;}
}
undef(&CONFIG_NETPOLL_RX) if defined(&CONFIG_NETPOLL_RX);
undef(&CONFIG_NETPOLL_TRAP) if defined(&CONFIG_NETPOLL_TRAP);
unless(defined(&CONFIG_NET_POLL_CONTROLLER)) {
    sub CONFIG_NET_POLL_CONTROLLER () {	1;}
}
undef(&CONFIG_HAMRADIO) if defined(&CONFIG_HAMRADIO);
undef(&CONFIG_IRDA) if defined(&CONFIG_IRDA);
undef(&CONFIG_BT) if defined(&CONFIG_BT);
unless(defined(&CONFIG_NETDEVICES)) {
    sub CONFIG_NETDEVICES () {	1;}
}
undef(&CONFIG_DUMMY) if defined(&CONFIG_DUMMY);
undef(&CONFIG_BONDING) if defined(&CONFIG_BONDING);
undef(&CONFIG_EQUALIZER) if defined(&CONFIG_EQUALIZER);
undef(&CONFIG_TUN) if defined(&CONFIG_TUN);
undef(&CONFIG_ARCNET) if defined(&CONFIG_ARCNET);
unless(defined(&CONFIG_NET_ETHERNET)) {
    sub CONFIG_NET_ETHERNET () {	1;}
}
unless(defined(&CONFIG_MII)) {
    sub CONFIG_MII () {	1;}
}
undef(&CONFIG_HAPPYMEAL) if defined(&CONFIG_HAPPYMEAL);
undef(&CONFIG_SUNGEM) if defined(&CONFIG_SUNGEM);
undef(&CONFIG_NET_VENDOR_3COM) if defined(&CONFIG_NET_VENDOR_3COM);
undef(&CONFIG_NET_TULIP) if defined(&CONFIG_NET_TULIP);
undef(&CONFIG_HP100) if defined(&CONFIG_HP100);
unless(defined(&CONFIG_NET_PCI)) {
    sub CONFIG_NET_PCI () {	1;}
}
undef(&CONFIG_PCNET32) if defined(&CONFIG_PCNET32);
unless(defined(&CONFIG_AMD8111_ETH)) {
    sub CONFIG_AMD8111_ETH () {	1;}
}
undef(&CONFIG_AMD8111E_NAPI) if defined(&CONFIG_AMD8111E_NAPI);
undef(&CONFIG_ADAPTEC_STARFIRE) if defined(&CONFIG_ADAPTEC_STARFIRE);
undef(&CONFIG_B44) if defined(&CONFIG_B44);
unless(defined(&CONFIG_FORCEDETH)) {
    sub CONFIG_FORCEDETH () {	1;}
}
undef(&CONFIG_DGRS) if defined(&CONFIG_DGRS);
undef(&CONFIG_EEPRO100) if defined(&CONFIG_EEPRO100);
undef(&CONFIG_E100) if defined(&CONFIG_E100);
undef(&CONFIG_FEALNX) if defined(&CONFIG_FEALNX);
undef(&CONFIG_NATSEMI) if defined(&CONFIG_NATSEMI);
undef(&CONFIG_NE2K_PCI) if defined(&CONFIG_NE2K_PCI);
unless(defined(&CONFIG_8139CP_MODULE)) {
    sub CONFIG_8139CP_MODULE () {	1;}
}
unless(defined(&CONFIG_8139TOO_MODULE)) {
    sub CONFIG_8139TOO_MODULE () {	1;}
}
undef(&CONFIG_8139TOO_PIO) if defined(&CONFIG_8139TOO_PIO);
undef(&CONFIG_8139TOO_TUNE_TWISTER) if defined(&CONFIG_8139TOO_TUNE_TWISTER);
undef(&CONFIG_8139TOO_8129) if defined(&CONFIG_8139TOO_8129);
undef(&CONFIG_8139_OLD_RX_RESET) if defined(&CONFIG_8139_OLD_RX_RESET);
undef(&CONFIG_SIS900) if defined(&CONFIG_SIS900);
undef(&CONFIG_EPIC100) if defined(&CONFIG_EPIC100);
undef(&CONFIG_SUNDANCE) if defined(&CONFIG_SUNDANCE);
undef(&CONFIG_VIA_RHINE) if defined(&CONFIG_VIA_RHINE);
undef(&CONFIG_ACENIC) if defined(&CONFIG_ACENIC);
undef(&CONFIG_DL2K) if defined(&CONFIG_DL2K);
unless(defined(&CONFIG_E1000)) {
    sub CONFIG_E1000 () {	1;}
}
undef(&CONFIG_E1000_NAPI) if defined(&CONFIG_E1000_NAPI);
undef(&CONFIG_NS83820) if defined(&CONFIG_NS83820);
undef(&CONFIG_HAMACHI) if defined(&CONFIG_HAMACHI);
undef(&CONFIG_YELLOWFIN) if defined(&CONFIG_YELLOWFIN);
undef(&CONFIG_R8169) if defined(&CONFIG_R8169);
undef(&CONFIG_SK98LIN) if defined(&CONFIG_SK98LIN);
unless(defined(&CONFIG_TIGON3)) {
    sub CONFIG_TIGON3 () {	1;}
}
undef(&CONFIG_IXGB) if defined(&CONFIG_IXGB);
undef(&CONFIG_S2IO) if defined(&CONFIG_S2IO);
undef(&CONFIG_TR) if defined(&CONFIG_TR);
undef(&CONFIG_NET_RADIO) if defined(&CONFIG_NET_RADIO);
undef(&CONFIG_WAN) if defined(&CONFIG_WAN);
undef(&CONFIG_FDDI) if defined(&CONFIG_FDDI);
undef(&CONFIG_HIPPI) if defined(&CONFIG_HIPPI);
undef(&CONFIG_PPP) if defined(&CONFIG_PPP);
undef(&CONFIG_SLIP) if defined(&CONFIG_SLIP);
undef(&CONFIG_NET_FC) if defined(&CONFIG_NET_FC);
undef(&CONFIG_SHAPER) if defined(&CONFIG_SHAPER);
unless(defined(&CONFIG_NETCONSOLE)) {
    sub CONFIG_NETCONSOLE () {	1;}
}
undef(&CONFIG_ISDN) if defined(&CONFIG_ISDN);
undef(&CONFIG_PHONE) if defined(&CONFIG_PHONE);
unless(defined(&CONFIG_INPUT)) {
    sub CONFIG_INPUT () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV)) {
    sub CONFIG_INPUT_MOUSEDEV () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_PSAUX)) {
    sub CONFIG_INPUT_MOUSEDEV_PSAUX () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_X)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_X () {	1024;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_Y)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_Y () {	768;}
}
undef(&CONFIG_INPUT_JOYDEV) if defined(&CONFIG_INPUT_JOYDEV);
undef(&CONFIG_INPUT_TSDEV) if defined(&CONFIG_INPUT_TSDEV);
unless(defined(&CONFIG_INPUT_EVDEV)) {
    sub CONFIG_INPUT_EVDEV () {	1;}
}
undef(&CONFIG_INPUT_EVBUG) if defined(&CONFIG_INPUT_EVBUG);
undef(&CONFIG_GAMEPORT) if defined(&CONFIG_GAMEPORT);
unless(defined(&CONFIG_SOUND_GAMEPORT)) {
    sub CONFIG_SOUND_GAMEPORT () {	1;}
}
unless(defined(&CONFIG_SERIO)) {
    sub CONFIG_SERIO () {	1;}
}
unless(defined(&CONFIG_SERIO_I8042)) {
    sub CONFIG_SERIO_I8042 () {	1;}
}
undef(&CONFIG_SERIO_SERPORT) if defined(&CONFIG_SERIO_SERPORT);
undef(&CONFIG_SERIO_CT82C710) if defined(&CONFIG_SERIO_CT82C710);
undef(&CONFIG_SERIO_PCIPS2) if defined(&CONFIG_SERIO_PCIPS2);
unless(defined(&CONFIG_INPUT_KEYBOARD)) {
    sub CONFIG_INPUT_KEYBOARD () {	1;}
}
unless(defined(&CONFIG_KEYBOARD_ATKBD)) {
    sub CONFIG_KEYBOARD_ATKBD () {	1;}
}
undef(&CONFIG_KEYBOARD_SUNKBD) if defined(&CONFIG_KEYBOARD_SUNKBD);
undef(&CONFIG_KEYBOARD_LKKBD) if defined(&CONFIG_KEYBOARD_LKKBD);
undef(&CONFIG_KEYBOARD_XTKBD) if defined(&CONFIG_KEYBOARD_XTKBD);
undef(&CONFIG_KEYBOARD_NEWTON) if defined(&CONFIG_KEYBOARD_NEWTON);
unless(defined(&CONFIG_INPUT_MOUSE)) {
    sub CONFIG_INPUT_MOUSE () {	1;}
}
unless(defined(&CONFIG_MOUSE_PS2)) {
    sub CONFIG_MOUSE_PS2 () {	1;}
}
undef(&CONFIG_MOUSE_SERIAL) if defined(&CONFIG_MOUSE_SERIAL);
undef(&CONFIG_MOUSE_VSXXXAA) if defined(&CONFIG_MOUSE_VSXXXAA);
undef(&CONFIG_INPUT_JOYSTICK) if defined(&CONFIG_INPUT_JOYSTICK);
undef(&CONFIG_INPUT_TOUCHSCREEN) if defined(&CONFIG_INPUT_TOUCHSCREEN);
undef(&CONFIG_INPUT_MISC) if defined(&CONFIG_INPUT_MISC);
unless(defined(&CONFIG_VT)) {
    sub CONFIG_VT () {	1;}
}
unless(defined(&CONFIG_VT_CONSOLE)) {
    sub CONFIG_VT_CONSOLE () {	1;}
}
unless(defined(&CONFIG_HW_CONSOLE)) {
    sub CONFIG_HW_CONSOLE () {	1;}
}
undef(&CONFIG_SERIAL_NONSTANDARD) if defined(&CONFIG_SERIAL_NONSTANDARD);
unless(defined(&CONFIG_SERIAL_8250)) {
    sub CONFIG_SERIAL_8250 () {	1;}
}
unless(defined(&CONFIG_SERIAL_8250_CONSOLE)) {
    sub CONFIG_SERIAL_8250_CONSOLE () {	1;}
}
undef(&CONFIG_SERIAL_8250_ACPI) if defined(&CONFIG_SERIAL_8250_ACPI);
unless(defined(&CONFIG_SERIAL_8250_NR_UARTS)) {
    sub CONFIG_SERIAL_8250_NR_UARTS () {	4;}
}
undef(&CONFIG_SERIAL_8250_EXTENDED) if defined(&CONFIG_SERIAL_8250_EXTENDED);
unless(defined(&CONFIG_SERIAL_CORE)) {
    sub CONFIG_SERIAL_CORE () {	1;}
}
unless(defined(&CONFIG_SERIAL_CORE_CONSOLE)) {
    sub CONFIG_SERIAL_CORE_CONSOLE () {	1;}
}
unless(defined(&CONFIG_UNIX98_PTYS)) {
    sub CONFIG_UNIX98_PTYS () {	1;}
}
unless(defined(&CONFIG_LEGACY_PTYS)) {
    sub CONFIG_LEGACY_PTYS () {	1;}
}
unless(defined(&CONFIG_LEGACY_PTY_COUNT)) {
    sub CONFIG_LEGACY_PTY_COUNT () {	256;}
}
undef(&CONFIG_QIC02_TAPE) if defined(&CONFIG_QIC02_TAPE);
undef(&CONFIG_IPMI_HANDLER) if defined(&CONFIG_IPMI_HANDLER);
undef(&CONFIG_WATCHDOG) if defined(&CONFIG_WATCHDOG);
unless(defined(&CONFIG_HW_RANDOM)) {
    sub CONFIG_HW_RANDOM () {	1;}
}
undef(&CONFIG_NVRAM) if defined(&CONFIG_NVRAM);
unless(defined(&CONFIG_RTC)) {
    sub CONFIG_RTC () {	1;}
}
undef(&CONFIG_DTLK) if defined(&CONFIG_DTLK);
undef(&CONFIG_R3964) if defined(&CONFIG_R3964);
undef(&CONFIG_APPLICOM) if defined(&CONFIG_APPLICOM);
unless(defined(&CONFIG_AGP)) {
    sub CONFIG_AGP () {	1;}
}
unless(defined(&CONFIG_AGP_AMD64)) {
    sub CONFIG_AGP_AMD64 () {	1;}
}
undef(&CONFIG_AGP_INTEL_MCH) if defined(&CONFIG_AGP_INTEL_MCH);
undef(&CONFIG_DRM) if defined(&CONFIG_DRM);
undef(&CONFIG_MWAVE) if defined(&CONFIG_MWAVE);
unless(defined(&CONFIG_RAW_DRIVER)) {
    sub CONFIG_RAW_DRIVER () {	1;}
}
unless(defined(&CONFIG_MAX_RAW_DEVS)) {
    sub CONFIG_MAX_RAW_DEVS () {	256;}
}
unless(defined(&CONFIG_HANGCHECK_TIMER)) {
    sub CONFIG_HANGCHECK_TIMER () {	1;}
}
undef(&CONFIG_I2C) if defined(&CONFIG_I2C);
undef(&CONFIG_IBM_ASM) if defined(&CONFIG_IBM_ASM);
undef(&CONFIG_VIDEO_DEV) if defined(&CONFIG_VIDEO_DEV);
undef(&CONFIG_DVB) if defined(&CONFIG_DVB);
undef(&CONFIG_FB) if defined(&CONFIG_FB);
undef(&CONFIG_VIDEO_SELECT) if defined(&CONFIG_VIDEO_SELECT);
unless(defined(&CONFIG_VGA_CONSOLE)) {
    sub CONFIG_VGA_CONSOLE () {	1;}
}
undef(&CONFIG_MDA_CONSOLE) if defined(&CONFIG_MDA_CONSOLE);
unless(defined(&CONFIG_DUMMY_CONSOLE)) {
    sub CONFIG_DUMMY_CONSOLE () {	1;}
}
unless(defined(&CONFIG_SOUND)) {
    sub CONFIG_SOUND () {	1;}
}
undef(&CONFIG_SND) if defined(&CONFIG_SND);
unless(defined(&CONFIG_SOUND_PRIME)) {
    sub CONFIG_SOUND_PRIME () {	1;}
}
undef(&CONFIG_SOUND_BT878) if defined(&CONFIG_SOUND_BT878);
undef(&CONFIG_SOUND_CMPCI) if defined(&CONFIG_SOUND_CMPCI);
undef(&CONFIG_SOUND_EMU10K1) if defined(&CONFIG_SOUND_EMU10K1);
undef(&CONFIG_SOUND_FUSION) if defined(&CONFIG_SOUND_FUSION);
undef(&CONFIG_SOUND_CS4281) if defined(&CONFIG_SOUND_CS4281);
undef(&CONFIG_SOUND_ES1370) if defined(&CONFIG_SOUND_ES1370);
undef(&CONFIG_SOUND_ES1371) if defined(&CONFIG_SOUND_ES1371);
undef(&CONFIG_SOUND_ESSSOLO1) if defined(&CONFIG_SOUND_ESSSOLO1);
undef(&CONFIG_SOUND_MAESTRO) if defined(&CONFIG_SOUND_MAESTRO);
undef(&CONFIG_SOUND_MAESTRO3) if defined(&CONFIG_SOUND_MAESTRO3);
unless(defined(&CONFIG_SOUND_ICH)) {
    sub CONFIG_SOUND_ICH () {	1;}
}
undef(&CONFIG_SOUND_SONICVIBES) if defined(&CONFIG_SOUND_SONICVIBES);
undef(&CONFIG_SOUND_TRIDENT) if defined(&CONFIG_SOUND_TRIDENT);
undef(&CONFIG_SOUND_MSNDCLAS) if defined(&CONFIG_SOUND_MSNDCLAS);
undef(&CONFIG_SOUND_MSNDPIN) if defined(&CONFIG_SOUND_MSNDPIN);
undef(&CONFIG_SOUND_VIA82CXXX) if defined(&CONFIG_SOUND_VIA82CXXX);
undef(&CONFIG_SOUND_OSS) if defined(&CONFIG_SOUND_OSS);
undef(&CONFIG_SOUND_ALI5455) if defined(&CONFIG_SOUND_ALI5455);
undef(&CONFIG_SOUND_FORTE) if defined(&CONFIG_SOUND_FORTE);
undef(&CONFIG_SOUND_RME96XX) if defined(&CONFIG_SOUND_RME96XX);
undef(&CONFIG_SOUND_AD1980) if defined(&CONFIG_SOUND_AD1980);
undef(&CONFIG_USB) if defined(&CONFIG_USB);
undef(&CONFIG_USB_GADGET) if defined(&CONFIG_USB_GADGET);
undef(&CONFIG_EDD) if defined(&CONFIG_EDD);
unless(defined(&CONFIG_EXT2_FS)) {
    sub CONFIG_EXT2_FS () {	1;}
}
unless(defined(&CONFIG_EXT2_FS_XATTR)) {
    sub CONFIG_EXT2_FS_XATTR () {	1;}
}
unless(defined(&CONFIG_EXT2_FS_POSIX_ACL)) {
    sub CONFIG_EXT2_FS_POSIX_ACL () {	1;}
}
undef(&CONFIG_EXT2_FS_SECURITY) if defined(&CONFIG_EXT2_FS_SECURITY);
unless(defined(&CONFIG_EXT3_FS)) {
    sub CONFIG_EXT3_FS () {	1;}
}
unless(defined(&CONFIG_EXT3_FS_XATTR)) {
    sub CONFIG_EXT3_FS_XATTR () {	1;}
}
unless(defined(&CONFIG_EXT3_FS_POSIX_ACL)) {
    sub CONFIG_EXT3_FS_POSIX_ACL () {	1;}
}
undef(&CONFIG_EXT3_FS_SECURITY) if defined(&CONFIG_EXT3_FS_SECURITY);
unless(defined(&CONFIG_JBD)) {
    sub CONFIG_JBD () {	1;}
}
undef(&CONFIG_JBD_DEBUG) if defined(&CONFIG_JBD_DEBUG);
unless(defined(&CONFIG_FS_MBCACHE)) {
    sub CONFIG_FS_MBCACHE () {	1;}
}
unless(defined(&CONFIG_REISERFS_FS)) {
    sub CONFIG_REISERFS_FS () {	1;}
}
undef(&CONFIG_REISERFS_CHECK) if defined(&CONFIG_REISERFS_CHECK);
undef(&CONFIG_REISERFS_PROC_INFO) if defined(&CONFIG_REISERFS_PROC_INFO);
undef(&CONFIG_JFS_FS) if defined(&CONFIG_JFS_FS);
unless(defined(&CONFIG_FS_POSIX_ACL)) {
    sub CONFIG_FS_POSIX_ACL () {	1;}
}
undef(&CONFIG_XFS_FS) if defined(&CONFIG_XFS_FS);
undef(&CONFIG_MINIX_FS) if defined(&CONFIG_MINIX_FS);
undef(&CONFIG_ROMFS_FS) if defined(&CONFIG_ROMFS_FS);
undef(&CONFIG_QUOTA) if defined(&CONFIG_QUOTA);
unless(defined(&CONFIG_AUTOFS_FS)) {
    sub CONFIG_AUTOFS_FS () {	1;}
}
undef(&CONFIG_AUTOFS4_FS) if defined(&CONFIG_AUTOFS4_FS);
unless(defined(&CONFIG_ISO9660_FS)) {
    sub CONFIG_ISO9660_FS () {	1;}
}
undef(&CONFIG_JOLIET) if defined(&CONFIG_JOLIET);
undef(&CONFIG_ZISOFS) if defined(&CONFIG_ZISOFS);
undef(&CONFIG_UDF_FS) if defined(&CONFIG_UDF_FS);
undef(&CONFIG_FAT_FS) if defined(&CONFIG_FAT_FS);
undef(&CONFIG_NTFS_FS) if defined(&CONFIG_NTFS_FS);
unless(defined(&CONFIG_PROC_FS)) {
    sub CONFIG_PROC_FS () {	1;}
}
unless(defined(&CONFIG_PROC_KCORE)) {
    sub CONFIG_PROC_KCORE () {	1;}
}
unless(defined(&CONFIG_SYSFS)) {
    sub CONFIG_SYSFS () {	1;}
}
undef(&CONFIG_DEVFS_FS) if defined(&CONFIG_DEVFS_FS);
undef(&CONFIG_DEVPTS_FS_XATTR) if defined(&CONFIG_DEVPTS_FS_XATTR);
unless(defined(&CONFIG_TMPFS)) {
    sub CONFIG_TMPFS () {	1;}
}
unless(defined(&CONFIG_HUGETLBFS)) {
    sub CONFIG_HUGETLBFS () {	1;}
}
unless(defined(&CONFIG_HUGETLB_PAGE)) {
    sub CONFIG_HUGETLB_PAGE () {	1;}
}
unless(defined(&CONFIG_RAMFS)) {
    sub CONFIG_RAMFS () {	1;}
}
undef(&CONFIG_ADFS_FS) if defined(&CONFIG_ADFS_FS);
undef(&CONFIG_AFFS_FS) if defined(&CONFIG_AFFS_FS);
undef(&CONFIG_HFS_FS) if defined(&CONFIG_HFS_FS);
undef(&CONFIG_HFSPLUS_FS) if defined(&CONFIG_HFSPLUS_FS);
undef(&CONFIG_BEFS_FS) if defined(&CONFIG_BEFS_FS);
undef(&CONFIG_BFS_FS) if defined(&CONFIG_BFS_FS);
undef(&CONFIG_EFS_FS) if defined(&CONFIG_EFS_FS);
undef(&CONFIG_CRAMFS) if defined(&CONFIG_CRAMFS);
undef(&CONFIG_VXFS_FS) if defined(&CONFIG_VXFS_FS);
undef(&CONFIG_HPFS_FS) if defined(&CONFIG_HPFS_FS);
undef(&CONFIG_QNX4FS_FS) if defined(&CONFIG_QNX4FS_FS);
undef(&CONFIG_SYSV_FS) if defined(&CONFIG_SYSV_FS);
undef(&CONFIG_UFS_FS) if defined(&CONFIG_UFS_FS);
unless(defined(&CONFIG_NFS_FS)) {
    sub CONFIG_NFS_FS () {	1;}
}
unless(defined(&CONFIG_NFS_V3)) {
    sub CONFIG_NFS_V3 () {	1;}
}
undef(&CONFIG_NFS_V4) if defined(&CONFIG_NFS_V4);
undef(&CONFIG_NFS_DIRECTIO) if defined(&CONFIG_NFS_DIRECTIO);
unless(defined(&CONFIG_NFSD)) {
    sub CONFIG_NFSD () {	1;}
}
unless(defined(&CONFIG_NFSD_V3)) {
    sub CONFIG_NFSD_V3 () {	1;}
}
undef(&CONFIG_NFSD_V4) if defined(&CONFIG_NFSD_V4);
unless(defined(&CONFIG_NFSD_TCP)) {
    sub CONFIG_NFSD_TCP () {	1;}
}
unless(defined(&CONFIG_LOCKD)) {
    sub CONFIG_LOCKD () {	1;}
}
unless(defined(&CONFIG_LOCKD_V4)) {
    sub CONFIG_LOCKD_V4 () {	1;}
}
unless(defined(&CONFIG_EXPORTFS)) {
    sub CONFIG_EXPORTFS () {	1;}
}
unless(defined(&CONFIG_SUNRPC)) {
    sub CONFIG_SUNRPC () {	1;}
}
undef(&CONFIG_RPCSEC_GSS_KRB5) if defined(&CONFIG_RPCSEC_GSS_KRB5);
undef(&CONFIG_SMB_FS) if defined(&CONFIG_SMB_FS);
undef(&CONFIG_CIFS) if defined(&CONFIG_CIFS);
undef(&CONFIG_NCP_FS) if defined(&CONFIG_NCP_FS);
undef(&CONFIG_CODA_FS) if defined(&CONFIG_CODA_FS);
undef(&CONFIG_INTERMEZZO_FS) if defined(&CONFIG_INTERMEZZO_FS);
undef(&CONFIG_AFS_FS) if defined(&CONFIG_AFS_FS);
undef(&CONFIG_PARTITION_ADVANCED) if defined(&CONFIG_PARTITION_ADVANCED);
unless(defined(&CONFIG_MSDOS_PARTITION)) {
    sub CONFIG_MSDOS_PARTITION () {	1;}
}
undef(&CONFIG_NLS) if defined(&CONFIG_NLS);
unless(defined(&CONFIG_PROFILING)) {
    sub CONFIG_PROFILING () {	1;}
}
unless(defined(&CONFIG_OPROFILE)) {
    sub CONFIG_OPROFILE () {	1;}
}
unless(defined(&CONFIG_DEBUG_KERNEL)) {
    sub CONFIG_DEBUG_KERNEL () {	1;}
}
undef(&CONFIG_DEBUG_SLAB) if defined(&CONFIG_DEBUG_SLAB);
unless(defined(&CONFIG_MAGIC_SYSRQ)) {
    sub CONFIG_MAGIC_SYSRQ () {	1;}
}
undef(&CONFIG_DEBUG_SPINLOCK) if defined(&CONFIG_DEBUG_SPINLOCK);
undef(&CONFIG_INIT_DEBUG) if defined(&CONFIG_INIT_DEBUG);
undef(&CONFIG_DEBUG_INFO) if defined(&CONFIG_DEBUG_INFO);
undef(&CONFIG_FRAME_POINTER) if defined(&CONFIG_FRAME_POINTER);
undef(&CONFIG_IOMMU_DEBUG) if defined(&CONFIG_IOMMU_DEBUG);
undef(&CONFIG_SECURITY) if defined(&CONFIG_SECURITY);
undef(&CONFIG_CRYPTO) if defined(&CONFIG_CRYPTO);
unless(defined(&CONFIG_CRC32)) {
    sub CONFIG_CRC32 () {	1;}
}
undef(&CONFIG_LIBCRC32C) if defined(&CONFIG_LIBCRC32C);
1;
