require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_LINUX_SUNRPC_CACHE_H_)) {
    eval 'sub _LINUX_SUNRPC_CACHE_H_ () {1;}' unless defined(&_LINUX_SUNRPC_CACHE_H_);
    require 'linux/slab.ph';
    require 'asm/atomic.ph';
    require 'linux/proc_fs.ph';
    eval 'sub CACHE_VALID () {0;}' unless defined(&CACHE_VALID);
    eval 'sub CACHE_NEGATIVE () {1;}' unless defined(&CACHE_NEGATIVE);
    eval 'sub CACHE_PENDING () {2;}' unless defined(&CACHE_PENDING);
    eval 'sub CACHE_HASHED () {3;}' unless defined(&CACHE_HASHED);
    eval 'sub CACHE_NEW_EXPIRY () {120;}' unless defined(&CACHE_NEW_EXPIRY);
    eval 'sub DefineCacheLookup {
        local($RTN,$MEMBER,$FNAME,$ARGS,$SETUP,$DETAIL,$HASHFN,$TEST,$INIT,$UPDATE,$INPLACE) = @_;
	    eval q($RTN *$FNAME $ARGS { $RTN * &tmp, * &new= &NULL; \'struct cache_head\' ** &hp, ** &head; $SETUP;  &head = &-> $hash_table[$HASHFN];  &retry:  &if ( &set|| &new)  &write_lock(&-> &hash_lock);  &else  &read_lock(&-> &hash_lock);  &for( &hp= &head; * &hp !=  &NULL;  &hp =  ($tmp->{MEMBER}->{next})) {  &tmp =  &container_of(* &hp, $RTN, $MEMBER);  &if {  &if ( &set  && !$INPLACE  &&  &test_bit( &CACHE_VALID,  ($tmp->{MEMBER}->{flags}))  && ! &new)  &break;  &if {$INIT;}  &cache_get( ($tmp->{MEMBER}));  &if {  &if (!$INPLACE  &&  &test_bit( &CACHE_VALID,  ($tmp->{MEMBER}->{flags}))) { $RTN * &t2;  ($new->{MEMBER}->{next}) =  ($tmp->{MEMBER}->{next}); * &hp =  ($new->{MEMBER});  ($tmp->{MEMBER}->{next}) =  &NULL;  &set_bit( &CACHE_HASHED,  ($new->{MEMBER}->{flags}));  &clear_bit( &CACHE_HASHED,  ($tmp->{MEMBER}->{flags}));  &t2 =  &tmp;  &tmp =  &new;  &new =  &t2; }  &if ( &test_bit( &CACHE_NEGATIVE,  ($item->{MEMBER}->{flags})))  &set_bit( &CACHE_NEGATIVE,  ($tmp->{MEMBER}->{flags}));  &else {$UPDATE;} }  &if ( &set|| &new)  &write_unlock(&-> &hash_lock);  &else  &read_unlock(&-> &hash_lock);  &if  &cache_fresh($DETAIL,  ($tmp->{MEMBER}),  ($item->{MEMBER}->{expiry_time}));  &if ( &set  && !$INPLACE  &&  &new)  &cache_fresh($DETAIL,  ($new->{MEMBER}), 0);  &if -> &cache_put( ($new->{MEMBER}), $DETAIL);  &return  &tmp; } }  &if { $INIT;  ($new->{MEMBER}->{next}) = * &head; * &head =  ($new->{MEMBER}); -> &entries ++;  &set_bit( &CACHE_HASHED,  ($new->{MEMBER}->{flags}));  &if {  &tmp =  &new;  &if ( &test_bit( &CACHE_NEGATIVE,  ($item->{MEMBER}->{flags})))  &set_bit( &CACHE_NEGATIVE,  ($tmp->{MEMBER}->{flags}));  &else {$UPDATE;} } }  &if ( &set|| &new)  &write_unlock(&-> &hash_lock);  &else  &read_unlock(&-> &hash_lock);  &if ( &new  &&  &set)  &cache_fresh($DETAIL,  ($new->{MEMBER}),  ($item->{MEMBER}->{expiry_time}));  &if  &return  &new;  &new =  &kmalloc($sizeof{ &new},  &GFP_KERNEL);  &if ( &new) {  &cache_init( ($new->{MEMBER}));  &cache_get( ($new->{MEMBER}));  &goto  &retry; }  &return  &NULL; });
    }' unless defined(&DefineCacheLookup);
    eval 'sub DefineSimpleCacheLookup {
        local($STRUCT,$INPLACE) = @_;
	    eval q( &DefineCacheLookup(\'struct STRUCT\',  &h, $STRUCT &_lookup, (\'struct STRUCT\' * &item, \'int\'  &set), , & $STRUCT &_cache, $STRUCT &_hash( &item), $STRUCT &_match( &item,  &tmp), $STRUCT &_init( &new,  &item), $STRUCT &_update( &tmp,  &item),$INPLACE));
    }' unless defined(&DefineSimpleCacheLookup);
    eval 'sub cache_for_each {
        local($pos, $detail, $index, $member) = @_;
	    eval q( &for (({ &read_lock(($detail)-> &hash_lock); $index = ($detail)-> &hash_size;}) ; ({ &if ($index==0) &read_unlock(($detail)-> &hash_lock); $index--;}); )  &for ($pos =  &container_of(($detail)-> $hash_table[$index],  &typeof(*$pos), $member);  ($pos->{member}); $pos =  &container_of( ($pos->{member}->{next}),  &typeof(*$pos), $member)));
    }' unless defined(&cache_for_each);
    eval 'sub NEVER () {(0x7fffffff);}' unless defined(&NEVER);
}
1;
