require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&__IP6_LOGGING_H)) {
    eval 'sub __IP6_LOGGING_H () {1;}' unless defined(&__IP6_LOGGING_H);
    if(defined(&__KERNEL__)) {
	require 'linux/socket.ph';
	require 'linux/netfilter_logging.ph';
	eval 'sub nf_log_ip6_packet () {( &pskb, &hooknum, &in, &out, &fmt, &args...)  &nf_log_packet( &AF_INET6, &pskb, &hooknum, &in, &out, &fmt, &args);}' unless defined(&nf_log_ip6_packet);
	eval 'sub nf_log_ip6 () {( &pfh, &len, &fmt, &args...)  &nf_log( &AF_INET6, &pfh, &len, &fmt, &args);}' unless defined(&nf_log_ip6);
	eval 'sub nf_ip6_log_register {
	    local($logging) = @_;
    	    eval q( &nf_log_register( &AF_INET6,$logging));
	}' unless defined(&nf_ip6_log_register);
	eval 'sub nf_ip6_log_unregister {
	    local($logging) = @_;
    	    eval q( &nf_log_unregister( &AF_INET6,$logging));
	}' unless defined(&nf_ip6_log_unregister);
    }
}
1;
